USE [master]
GO

/****** Object:  Database [MyDatabase]    Script Date: 02/07/2013 15:34:12 ******/
CREATE DATABASE [MyDatabase]
 CONTAINMENT = NONE
 ON  PRIMARY 
( NAME = N'MyDatabase', FILENAME = N'C:\Users\cheney\MyDatabase.mdf' , SIZE = 3136KB , MAXSIZE = UNLIMITED, FILEGROWTH = 1024KB )
 LOG ON 
( NAME = N'MyDatabase_log', FILENAME = N'C:\Users\cheney\MyDatabase_log.ldf' , SIZE = 784KB , MAXSIZE = 2048GB , FILEGROWTH = 10%)
GO

ALTER DATABASE [MyDatabase] SET COMPATIBILITY_LEVEL = 110
GO

IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [MyDatabase].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO

ALTER DATABASE [MyDatabase] SET ANSI_NULL_DEFAULT OFF 
GO

ALTER DATABASE [MyDatabase] SET ANSI_NULLS OFF 
GO

ALTER DATABASE [MyDatabase] SET ANSI_PADDING OFF 
GO

ALTER DATABASE [MyDatabase] SET ANSI_WARNINGS OFF 
GO

ALTER DATABASE [MyDatabase] SET ARITHABORT OFF 
GO

ALTER DATABASE [MyDatabase] SET AUTO_CLOSE ON 
GO

ALTER DATABASE [MyDatabase] SET AUTO_CREATE_STATISTICS ON 
GO

ALTER DATABASE [MyDatabase] SET AUTO_SHRINK OFF 
GO

ALTER DATABASE [MyDatabase] SET AUTO_UPDATE_STATISTICS ON 
GO

ALTER DATABASE [MyDatabase] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO

ALTER DATABASE [MyDatabase] SET CURSOR_DEFAULT  GLOBAL 
GO

ALTER DATABASE [MyDatabase] SET CONCAT_NULL_YIELDS_NULL OFF 
GO

ALTER DATABASE [MyDatabase] SET NUMERIC_ROUNDABORT OFF 
GO

ALTER DATABASE [MyDatabase] SET QUOTED_IDENTIFIER OFF 
GO

ALTER DATABASE [MyDatabase] SET RECURSIVE_TRIGGERS OFF 
GO

ALTER DATABASE [MyDatabase] SET  ENABLE_BROKER 
GO

ALTER DATABASE [MyDatabase] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO

ALTER DATABASE [MyDatabase] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO

ALTER DATABASE [MyDatabase] SET TRUSTWORTHY OFF 
GO

ALTER DATABASE [MyDatabase] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO

ALTER DATABASE [MyDatabase] SET PARAMETERIZATION SIMPLE 
GO

ALTER DATABASE [MyDatabase] SET READ_COMMITTED_SNAPSHOT OFF 
GO

ALTER DATABASE [MyDatabase] SET HONOR_BROKER_PRIORITY OFF 
GO

ALTER DATABASE [MyDatabase] SET RECOVERY SIMPLE 
GO

ALTER DATABASE [MyDatabase] SET  MULTI_USER 
GO

ALTER DATABASE [MyDatabase] SET PAGE_VERIFY CHECKSUM  
GO

ALTER DATABASE [MyDatabase] SET DB_CHAINING OFF 
GO

ALTER DATABASE [MyDatabase] SET FILESTREAM( NON_TRANSACTED_ACCESS = OFF ) 
GO

ALTER DATABASE [MyDatabase] SET TARGET_RECOVERY_TIME = 0 SECONDS 
GO

ALTER DATABASE [MyDatabase] SET  READ_WRITE 
GO

CREATE TABLE [dbo].[Course](
	[CourseID] [int] NOT NULL,
	[CourseName] [nvarchar](50) NOT NULL,
PRIMARY KEY CLUSTERED 
(
	[CourseID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

CREATE TABLE [dbo].[CourseSelection](
	[ID] [int] NOT NULL,
	[StudentID] [int] NOT NULL,
	[CourseID] [int] NOT NULL,
PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[CourseSelection]  WITH CHECK ADD  CONSTRAINT [FK_CourseSelection_Course_1] FOREIGN KEY([CourseID])
REFERENCES [dbo].[Course] ([CourseID])
GO

ALTER TABLE [dbo].[CourseSelection] CHECK CONSTRAINT [FK_CourseSelection_Course_1]
GO

ALTER TABLE [dbo].[CourseSelection]  WITH CHECK ADD  CONSTRAINT [FK_CourseSelection_ToTable] FOREIGN KEY([StudentID])
REFERENCES [dbo].[Student] ([StudentID])
GO

ALTER TABLE [dbo].[CourseSelection] CHECK CONSTRAINT [FK_CourseSelection_ToTable]
GO


CREATE TABLE [dbo].[LastStudent](
	[StudentID] [int] NOT NULL,
	[Name] [nvarchar](50) NOT NULL,
	[Age] [int] NULL,
PRIMARY KEY CLUSTERED 
(
	[StudentID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO



CREATE TABLE [dbo].[Student](
	[StudentID] [int] NOT NULL,
	[Name] [nvarchar](50) NOT NULL,
	[Age] [int] NULL,
PRIMARY KEY CLUSTERED 
(
	[StudentID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO



